# Class: c3.Plot.Layer.Swimlane.Sampled Abstract

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer.Swimlane

## Overview

This class is abstract.

A swimlane layer that will sample for each pixel in each swimlane.

### Author:

- Douglas Armstrong

## Direct Known Subclasses

c3.Plot.Layer.Swimlane.Sampled.SVG c3.Plot.Layer.Swimlane.Sampled.Canvas

## Variables Summary

version =

      0.0

type =

      'sampled'

dx =

      null

  REQUIRED [Function] Accessor to get the width of the segment

filter =

      undefined

  [Function] Callback to determine if the data element should be rendered or not

safe =

      true

  [Boolean] If safe mode is off then it is assumed the data is sorted by the x-axis

### Variable inherited from c3.Plot.Layer.Swimlane

type dy hover lane_options version _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _hover_datum(x, swimlane) Bound
- # (void) _update() Bound
- # (void) _sample(sample) Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer.Swimlane

#_init #_size #_update #_draw #_style #init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _hover_datum(x, swimlane) Bound

# (void) _update() Bound

# (void) _sample(sample) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input